---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - d19d0722-dc4f-53e7-8343-5a02b0fb53f0
      tier: AATSR_CMP_MONTH
      value: 0.0616135336458683
    brdf:
      alpha_1:
        band_1: 0.15797713319677856
        band_11: 0.1436813106455734
        band_12: 0.08526277320517521
        band_2: 0.15801030860917165
        band_3: 0.16545547974693245
        band_4: 0.10392378946645156
        band_5: 0.10393786596803803
        band_6: 0.10394028529310247
        band_7: 0.2771933722373092
        band_8: 0.2772801016639466
        band_8a: 0.27716887559293174
      alpha_2:
        band_1: 0.2063162207573106
        band_11: 0.19700492901695305
        band_12: 0.20823964445687573
        band_2: 0.20624519132407584
        band_3: 0.24075405464663324
        band_4: 0.21890495352306788
        band_5: 0.2189017987804236
        band_6: 0.2189032473712063
        band_7: 0.17399610131704227
        band_8: 0.17393929195541252
        band_8a: 0.17401358843301587
      id:
      - 6fbbce33-62a7-53e2-a998-3261bed3a32d
      - ffd8d838-6050-5cd2-a68f-093d14967701
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 8770d769-6332-5aaa-8105-f9329c878a9c
      tier: DEFINITIVE
      value: 0.3
    water_vapour:
      id:
      - b3dc75b7-e9e7-55f2-ac9a-91c79685feec
      tier: DEFINITIVE
      value: 1.05
  id: 6156f628-0f10-4f61-82e1-a30f09346f28
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 1896.58953637695
      BAND-11: 233.2247287602184
      BAND-12: 81.59728542304572
      BAND-2: 1947.166849564255
      BAND-3: 1824.6894585721336
      BAND-4: 1489.4680884052525
      BAND-5: 1375.2086117866727
      BAND-6: 1257.328583145107
      BAND-7: 1155.7485708599675
      BAND-8: 1016.1704497088194
      BAND-8A: 926.36892251966
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2022-08-15 01:55:56.087092Z
    atime: 2022-09-10 17:09:44Z
    ctime: 2022-08-15 07:02:02Z
    mtime: 2022-08-15 07:01:57Z
    owner_id: '12232'
    platform_id: SENTINEL_2B
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2022/2022-08/30S120E-35S125E/S2B_MSIL1C_20220815T014549_N0400_R074_T51JXG_20220815T040950.zip
  system_information:
    hostname: gadi-cpu-clx-0252.gadi.nci.org.au
    runtime_id: 5e118f4c-312b-11ed-8e44-0000007dfe80
    time_processed: 2022-09-10 17:09:44.979404Z
    uname: 'Linux gadi-cpu-clx-0252.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 14.0
    green: 3104.0
    red: 3.0
    teal: 73.0
    yellow: 4.0
  error_message: no errors
  final_qa_count: 2697
  granule: S2B_OPER_MSI_L1C_TL_2BPS_20220815T040950_A028414_T51JXG_N04.00
  ref_date: '2014-06-16T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/107/081/LC81070812014167LGN00_B6.TIF
  residual:
    abs:
      x: 0.14
      xy: 0.21
      y: 0.16
    abs_iterative_mean:
      x: 0.11
      xy: 0.18
      y: 0.14
    cep90: 0.3
    iterative_mean:
      x: 0.1
      xy: 0.17
      y: -0.14
    iterative_stddev:
      x: 0.11
      xy: 0.13
      y: 0.07
    mean:
      x: 0.1
      xy: 0.17
      y: -0.14
    stddev:
      x: 0.54
      xy: 0.56
      y: 0.15
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.9978604520555
    cloud: 0.0
    cloud_shadow: 0.0
    snow: 0.0021359460119294567
    water: 3.601932566491495e-06
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 99.98135619269462
    cloud: 0.018643807305389455
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
